"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.apiService = void 0;
// @ts-ignore
const axios_1 = __importStar(require("axios"));
exports.apiService = axios_1.default.create({
    baseURL: '/graphql',
    timeout: 2 * 60 * 1000,
});
exports.apiService.interceptors.request.use((config) => new Promise(resolve => {
    resolve(config);
}), (error) => {
    Promise.reject(error);
});
const responseOnError = (error) => {
    var _a, _b;
    const originalRequest = error.config;
    if (!originalRequest) {
        return Promise.reject(originalRequest);
    }
    if ((_a = error.response.data) === null || _a === void 0 ? void 0 : _a.errors) {
        // @ts-ignore
        switch ((_b = error.response.data.errors[0]) === null || _b === void 0 ? void 0 : _b.code) {
            case 'UNAUTHENTICATED':
            default:
        }
        Promise.reject(error.response);
    }
    throw new Error(error.message);
};
exports.apiService.interceptors.response.use((response) => {
    var _a;
    if ((_a = response.data) === null || _a === void 0 ? void 0 : _a.errors) {
        return Promise.reject(responseOnError(new axios_1.AxiosError(response.data.errors, 'ERR_BAD_RESPONSE', response.config, response.request, response)));
    }
    return response;
}, responseOnError);
//# sourceMappingURL=api-service.js.map