import { AxiosRequestConfig } from 'axios';
import { TFileMapVariables } from './utils';
export interface IUseFetcherArgs<TVariables> {
    variables?: TVariables;
    fetchOptions?: AxiosRequestConfig;
}
export declare const useFetchData: <TData, TArgs extends IUseFetcherArgs<TFileMapVariables>>(query: string) => (args?: TArgs) => Promise<TData>;
