export type TFileMapVariables = Record<string, unknown>;
interface IConvertRes {
    variables: TFileMapVariables;
    map: string[];
    values: Array<File | Blob>;
}
/**
 * 處理表單送出時, 將 data object 轉換成 graphql upload 格式
 * @param originVariables
 * @param parentKey
 */
export declare const getVariablesFileMap: <V extends TFileMapVariables>(originVariables: V) => IConvertRes;
export {};
